Subject: Re: [PATCH v3 net-next 18/24] net: dsa: sja1105: Add support for traffic through standalone ports

From: Andrew Lunn <[email-masked]>
Date: Sun, 14 Apr 2019 21:13:18 +0200

On Sun, Apr 14, 2019 at 09:53:42PM +0300, Vladimir Oltean wrote:
> On Sun, 14 Apr 2019 at 19:18, Andrew Lunn <[email-masked]> wrote:
> >
> > > > > > > +             return dsa_8021q_xmit(skb, netdev, ETH_P_EDSA,
> > > > > > > +                                  ((pcp << VLAN_PRIO_SHIFT) | tx_vid));
> > > > > >
> > > > > > Please don't reuse ETH_P_EDSA. Define an ETH_P_SJA1105.
> > > > > >
> > >
> > > I'm receiving contradictory advice on this. Why should I define a new
> > > ethertype, and if I do, what scope should the definition have (local
> > > to the driver and the tagger, local to DSA, UAPI)?
> >
> > ETH_P_EDSA has a well defined meaning. It is a true global EtherType,
> > and means a Marvell EtherType DSA header follows.
> >
> > You are polluting this meaning of ETH_P_EDSA. Would you put ETH_P_IP
> > or ETH_P_8021AD here?
> >
> >    Andrew
> 
> You are putting an equality sign here between things that are not quite equal.
> The MEDSA EtherType is used for the same purpose as what I'm using it for.

I don't think it is. tcpdump will match on this EtherType and decode
what follows as an EDSA header, just in the same way it matches a
ETH_P_IP and decodes what comes next as an IP packet. I also have
wireshark patches, which i never submitted, which do the same.

Please run tcpdump on the master interface with your test system and
see what it does.

    Andrew